=== debian/control ===
Source: qmidinet
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <snd@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libasound2-dev,
 libjack-dev | libjack-jackd2-dev,
 libqt6svg6-dev,
 libtool,
 libx11-dev,
 qt6-base-dev,
 qt6-tools-dev-tools
Homepage: https://qmidinet.sourceforge.io
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
Rules-Requires-Root: no

Package: qmidinet
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MIDI Network Gateway via UDP/IP Multicast
 QmidiNet is a MIDI network gateway application that sends and receives
 MIDI data (ALSA Sequencer) over the network, using UDP/IP multicast.
 It was inspired by multimidicast (https://llg.cubic.org/tools) and
 designed to be compatible with ipMIDI for Windows (https://nerds.de).
