=== debian/changelog ===
qmidinet (0.9.90-1build1) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:34:28 +0200

qmidinet (0.9.90-1) unstable; urgency=medium

  * New upstream version 0.9.90

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 17:41:58 +0200
