=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qmidinet
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
  Alessio Treglia <alessio@debian.org>,
@@ -18,7 +17,7 @@
  qt6-base-dev,
  qt6-tools-dev-tools
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no
