=== debian/changelog ===
qmidinet (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
   + Fix ftbfs with GCC-15 (Closes: #1097700)
  * Bump Standards-Version to 4.7.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 08 Apr 2025 20:37:15 +0200
