=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qt6-base-dev,
  qt6-tools-dev-tools
 Homepage: https://qmidinet.sourceforge.io
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/qmidinet.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qmidinet
 Rules-Requires-Root: no
