=== debian/rules ===
#!/usr/bin/make -f

ifneq ($(findstring $(DEB_HOST_ARCH_OS),kfreebsd hurd),)
EXTRA_CONFIGURE_ARGS += -DCONFIG_ALSA_MIDI=OFF
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt6

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)
