=== debian/watch ===
version=4
https://sf.net/qmidinet/qmidinet-([\d.]+)\.tar\.gz
