## qmidinet 1.0.1.5git.f9bca8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QmidiNet
-  VERSION 1.0.1
+  VERSION 1.0.1.5
   DESCRIPTION "A MIDI Network Gateway via UDP/IP Multicast"
   HOMEPAGE_URL "https://qmidinet.sourceforge.io"
   LANGUAGES C CXX)
@@ -66,8 +66,6 @@
 # Enable unique/single instance.
 option (CONFIG_XUNIQUE "Enable unique/single instance (default=yes)" 1)
 
-# Enable Wayland support option.
-option (CONFIG_WAYLAND "Enable Wayland support (EXPERIMENTAL) (default=no)" 0)
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
